/******************************************************************************
*******************************************************************************
**                                                                           **
**      C Swing - A graphical file and directory maintenance utility         **
**                                                                           **
*******************************************************************************
**                                                                           **
**      Original C coding by: S. J. Brown                                    **
**                                                                           **
**      Modifications by many others; see the documentation for a list       **
**                                                                           **
**      Copyright 1994, Harry Flowers and Foteos Macrides                    **
**                                                                           **
**      Terms of Copyright:  This software may be freely distributed         **
**          and used by anyone, providing the distributor provides it        **
**          free of charge or at a price which only covers distribution      **
**          costs.  It may not be sold.  Note that versions prior to         **
**          V3.7.4 were public domain, and are not subject to these terms.   **
**                                                                           **
**      Disclaimer: No warranties as to the use or reliability of this       **
**          software are given by the authors or distributors.  Use at       **
**          your own risk.                                                   **
**                                                                           **
*******************************************************************************
******************************************************************************/
 
/*
**  fatdef.h - record attribute definitions
*/
#define	FAT$C_UNDEFINED		0
#define	FAT$C_FIXED		1
#define	FAT$C_VARIABLE		2
#define	FAT$C_VFC		3
#define	FAT$C_STREAM		4
#define	FAT$C_STREAMLF		5
#define	FAT$C_STREAMCR		6
#define	FAT$C_SEQUENTIAL	0
#define	FAT$C_RELATIVE		1
#define	FAT$C_INDEXED		2
#define	FAT$C_DIRECT		3
#define	FAT$M_FORTRANCC		1
#define	FAT$M_IMPLIEDCC		2
#define	FAT$M_PRINTCC		4
#define	FAT$M_NOSPAN		8
#define	FAT$M_STATS		16
#define	FAT$K_LENGTH		32
#define	FAT$C_LENGTH		32
#define	FAT$S_FATDEF		32
#define	FAT$B_RTYPE		0
#define	FAT$S_RTYPE		4
#define	FAT$V_RTYPE		0
#define	FAT$S_FILEORG		4
#define	FAT$V_FILEORG		4
#define	FAT$B_RATTRIB		1
#define	FAT$V_FORTRANCC		0
#define	FAT$V_IMPLIEDCC		1
#define	FAT$V_PRINTCC		2
#define	FAT$V_NOSPAN		3
#define	FAT$V_STATS		4
#define	FAT$W_RSIZE		2
#define	FAT$L_HIBLK		4
#define	FAT$W_HIBLKH		4
#define	FAT$W_HIBLKL		6
#define	FAT$L_EFBLK		8
#define	FAT$W_EFBLKH		8
#define	FAT$W_EFBLKL		10
#define	FAT$W_FFBYTE		12
#define	FAT$B_BKTSIZE		14
#define	FAT$B_VFCSIZE		15
#define	FAT$W_MAXREC		16
#define	FAT$W_DEFEXT		18
#define	FAT$W_GBC		20
#define	FAT$W_VERSIONS		30
